Create a Discussion
This endpoint creates a discussion.
info
This operation requires authentication
HTTP Request
POST /api/v2/discussion/
Parameters
info
By passing a category id that has parents defined, the system will automatically ascend the category graph based on the parents and will also automatically add the parents category ids to the discussion.
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| » title | body | string¦null | true | The title of the discussion |
| » text | body | string | false | The content of the discussion in html format, it can contain some mentions |
| » categories | body | list(integer) | true | List of id of Category |
| » group | body | integer | false | The id of the group |
| » event | body | integer | false | The id of the event |
| » medias | body | list(integer) | false | List of id of Media (only one media of type share is allowed) |
| » location | body | object¦null | false | The Location object to associate at the discussion |
| »» location | body | string¦null | true | The location name |
| »» lat | body | number¦null | true | The location latitude |
| »» lng | body | number¦null | true | The location longitude |